#include "incorrect_pin_msg_2.h"

// Author: Steve Talbot

incorrect_pin_msg_2:: incorrect_pin_msg_2(){
}

incorrect_pin_msg_2:: ~incorrect_pin_msg_2(){
}

bool incorrect_pin_msg_2:: incorrect_pin_msg( Data* data_ ){

	// this method overrides the default method “incorrect_pin_msg()” from the
	// superclass “incorrect_pin_msg_1” ..

	AccountInfo* accountInfo = data_->getCurrentAccountInfo();

	int id = accountInfo->getID();

	cout << "The user pin that was entered was not found (id: " << id << ", incorrect pin: " << data_->getTempPin() << ")." << endl;

	// reset "tempPin" ..
	data_->setTempPin( -1 );

	return false;


}
